Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.store
Interface MessageStore

All Superinterfaces:
  Service

All Known Subinterfaces:
  TopicMessageStore

All Known Implementing Classes:
  BDbMessageStore, BDbMessageStore, BDbTopicMessageStore, BDbTopicMessageStore, HowlMessageStore, JDBCMessageStore, JDBCTopicMessageStore, JdbmMessageStore, JdbmTopicMessageStore, VMMessageStore, VMTopicMessageStore

public interface MessageStore
extends Service

Represents a message store which is used by the persistent `MessageContainer` implementations

Version:
  $Revision: 1.1 $

Method Summary
`MessageIdentity` | `addMessage(ActiveMQMessage message)`
`ActiveMQMessage` | `getMessage(MessageIdentity identity)` Looks up a message using either the String messageID or the messageNumber.
`void` | `recover(QueueMessageContainer container)` Recover any messages to be delivered onto the dispatch queue.
`void` | `removeMessage(MessageIdentity identity, MessageAck ack)`

Methods inherited from interface org.codehaus.activemq.service.Service
`start, stop`

Method Detail

### addMessage

    public MessageIdentity addMessage(ActiveMQMessage message)
                               throws JMSException

  Throws:
    `JMSException`

### getMessage

    public ActiveMQMessage getMessage(MessageIdentity identity)
                               throws JMSException

  Looks up a message using either the String messageID or the messageNumber. Implementations are encouraged to fill in the missing key if its easy to do so.

  Parameters:
    `identity` - which contains either the messageID or the messageNumber
  Returns:
    the message or null if it does not exist
  Throws:
    `JMSException`

### removeMessage

    public void removeMessage(MessageIdentity identity,
                              MessageAck ack)
                       throws JMSException

  Throws:
    `JMSException`

### recover

    public void recover(QueueMessageContainer container)
                 throws JMSException

  Recover any messages to be delivered onto the dispatch queue.

  Only called when this store is used for durable queues.

  Parameters:
    `container` -
  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.